regina::python Namespace Reference

Utility classes and routines to assist with Python bindings for the calculation engine. More...

## Classes

class | GlobalArray
| A template class that references a constant one-dimensional C++ array. More...
class | GlobalArray2D
| A template class that references a constant two-dimensional C++ array. More...
class | GlobalArray3D
| A template class that references a constant three-dimensional C++ array. More...

## Functions

template<typename T , class ReturnValuePolicy >
std::ostream & | operator<< (std::ostream &out, const GlobalArray< T, ReturnValuePolicy > &arr)
| Writes a string representation of the given array, including all of its elements, to the given output stream. More...
template<typename T , class ReturnValuePolicy >
std::ostream & | operator<< (std::ostream &out, const GlobalArray2D< T, ReturnValuePolicy > &arr)
| Writes a string representation of the given array, including all of its elements, to the given output stream. More...
template<typename T , class ReturnValuePolicy >
std::ostream & | operator<< (std::ostream &out, const GlobalArray3D< T, ReturnValuePolicy > &arr)
| Writes a string representation of the given array, including all of its elements, to the given output stream. More...

## Detailed Description

Utility classes and routines to assist with Python bindings for the calculation engine.

## Function Documentation

## operator<<() [1/3]

template<typename T , class ReturnValuePolicy >

std::ostream& regina::python::operator<< | ( | std::ostream & | out,
|  | const GlobalArray< T, ReturnValuePolicy > & | arr
| ) |  |

Writes a string representation of the given array, including all of its elements, to the given output stream.

Parameters

  out | the output stream to which to write.
  arr | the array whose contents are to be written.

Returns
  the given output stream.

## operator<<() [2/3]

template<typename T , class ReturnValuePolicy >

std::ostream& regina::python::operator<< | ( | std::ostream & | out,
|  | const GlobalArray2D< T, ReturnValuePolicy > & | arr
| ) |  |

Writes a string representation of the given array, including all of its elements, to the given output stream.

Parameters

  out | the output stream to which to write.
  arr | the array whose contents are to be written.

Returns
  the given output stream.

## operator<<() [3/3]

template<typename T , class ReturnValuePolicy >

std::ostream& regina::python::operator<< | ( | std::ostream & | out,
|  | const GlobalArray3D< T, ReturnValuePolicy > & | arr
| ) |  |

Writes a string representation of the given array, including all of its elements, to the given output stream.

Parameters

  out | the output stream to which to write.
  arr | the array whose contents are to be written.

Returns
  the given output stream.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).